---
zabbix_proxy_port: 10051
zabbix_proxy_src_ip:
  - 0.0.0.0/0
zabbix_proxy_server: zabbix.example.org
zabbix_proxy_java_gateway_port: 10052

zabbix_proxy_base_conf:
  Server: "{{ zabbix_proxy_server }}"
  Hostname: "{{ inventory_hostname }}"
  LogType: system
  ListenPort: "{{ zabbix_proxy_port }}"
  PidFile: /run/zabbix/zabbix_proxy.pid
  DBName: /var/lib/zabbix/db/proxy.sqlite
  ProxyOfflineBuffer: 72
  SocketDir: /run/zabbix
  ConfigFrequency: 600
  DataSenderFrequency: 30
  CacheSize: 32M
  StartPollers: 5
  StartIPMIPollers: 1
  StartPollersUnreachable: 2
  StartTrappers: 5
  StartPingers: 4
  StartDiscoverers: 1
  StartHTTPPollers: 1
  Timeout: 30
  ExternalScripts: /var/lib/zabbix/bin/
  TmpDir: /var/lib/zabbix/tmp
  LoadModulePath: /usr/lib64/zabbix/modules
  JavaGateway: 127.0.0.1
  JavaGatewayPort: "{{ zabbix_proxy_java_gateway_port }}"
  StartJavaPollers: 0
  TLSPSKFile: /etc/zabbix/zabbix_proxy.psk
  TLSPSKIdentity: "{{ inventory_hostname }}-proxy"
  TLSConnect: psk
  TLSAccept: psk

zabbix_proxy_extra_conf: {}
zabbix_proxy_conf: "{{ zabbix_proxy_base_conf | combine(zabbix_proxy_extra_conf, recursive=True) }}"


# If update is set to False, the role will only ensure packages are installed
# If set to True, it will update components to their latest version
zabbix_proxy_update: False

# You might want to ignore system proxy for Zabbix proxy itself,
# so its web monitoring can be direct
# This will only have an effect if system_proxy is defined
zabbix_proxy_uses_system_proxy: True

...
